petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatOrderingRegister

Adds a new sparse matrix ordering to the matrix package.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatOrderingRegister(const char sname[],PetscErrorCode (*function)(Mat,MatOrderingType,IS*,IS*))

Not Collective

### Input Parameters

| sname | - name of ordering (for example MATORDERINGND)
| function | - function pointer that creates the ordering

### Sample usage

       MatOrderingRegister("my_order", MyOrder);

Then, your partitioner can be chosen with the procedural interface via

        MatOrderingSetType(part,"my_order)

or at runtime via the option

        -pc_factor_mat_ordering_type my_order

### Keywords

matrix, ordering, register

### See Also

MatOrderingRegisterDestroy(), MatOrderingRegisterAll()

### Level

developer

### Location

src/mat/order/sorder.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages